PLSPAGE(3)

NAME
plspage - Set page parameters

SYNOPSIS
plspage(xp, yp, xleng, yleng, xoff, yoff)

DESCRIPTION

Sets the page configuration (optional). If an individual parameter is zero then that parameter value is not updated. Not all parameters are recognized by all drivers and the interpretation is device-dependent. The X-window driver uses the length and offset parameters to determine the window size and location. The length and offset values are expressed in units that are specific to the current driver. For instance: screen drivers will usually interpret them as number of pixels, whereas printer drivers will usually use mm.

This routine, if used, must be called before initializing PLplot. It may be called at later times for interactive drivers to change only the dpi for subsequent redraws which you can force via a call to plreplot(3). If this function is not called then the page size defaults to landscape A4 for drivers which use real world page sizes and 744 pixels wide by 538 pixels high for raster drivers. The default value for dx and dy is 90 pixels per inch for raster drivers.

Redacted form: plspage(xp, yp, xleng, yleng, xoff, yoff)

This function is used in examples 14 and 31.

ARGUMENTS

xp (PLFLT(3), input)
    Number of pixels per inch (DPI), x. Used only by raster drivers, ignored by drivers which use "real world" units (e.g. mm).

yp (PLFLT(3), input)
    Number of pixels per inch (DPI), y. Used only by raster drivers, ignored by drivers which use "real world" units (e.g. mm).

xleng (PLINT(3), input)
    Page length, x.

yleng (PLINT(3), input)
    Page length, y.

xoff (PLINT(3), input)
    Page offset, x.

yoff (PLINT(3), input)
    Page offset, y.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.